# Uses of Class
java.util.Date

Packages that use Date
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.concurrent.locks
Interfaces and classes providing a framework for locking and waiting for conditions that is distinct from built-in synchronization and monitors.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.
javax.management.timer
Provides the definition of the Timer MBean.
javax.print.attribute
Provides classes and interfaces that describe the types of Java Print Service attributes and how they can be collected into attribute sets.
javax.print.attribute.standard
Package `javax.print.attribute.standard` contains classes for specific printing attributes.
javax.security.auth.kerberos
This package contains utility classes related to the Kerberos network authentication protocol.
javax.security.cert
Provides classes for public key certificates.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.xml.datatype
Defines XML/Java Type Mappings.

## Uses of Date in java.security

Methods in java.security that return Date
Modifier and Type
Method
Description
`abstract Date`
KeyStoreSpi.`engineGetCreationDate(String alias)`
Returns the creation date of the entry identified by the given alias.
`final Date`
KeyStore.`getCreationDate(String alias)`
Returns the creation date of the entry identified by the given alias.
`Date`
Timestamp.`getTimestamp()`
Returns the date and time when the `Timestamp` was generated.
Constructors in java.security with parameters of type Date
Modifier
Constructor
Description
``
`Timestamp(Date timestamp, CertPath signerCertPath)`
Constructs a `Timestamp`.

## Uses of Date in java.security.cert

Methods in java.security.cert that return Date
Modifier and Type
Method
Description
`Date`
X509CertSelector.`getCertificateValid()`
Returns the certificateValid criterion.
`Date`
PKIXParameters.`getDate()`
Returns the time for which the validity of the certification path should be determined.
`Date`
X509CRLSelector.`getDateAndTime()`
Returns the dateAndTime criterion.
`Date`
CertificateRevokedException.`getInvalidityDate()`
Returns the invalidity date, as specified in the Invalidity Date extension of this `CertificateRevokedException`.
`abstract Date`
X509CRL.`getNextUpdate()`
Gets the `nextUpdate` date from the CRL.
`abstract Date`
X509Certificate.`getNotAfter()`
Gets the `notAfter` date from the validity period of the certificate.
`abstract Date`
X509Certificate.`getNotBefore()`
Gets the `notBefore` date from the validity period of the certificate.
`Date`
X509CertSelector.`getPrivateKeyValid()`
Returns the privateKeyValid criterion.
`Date`
CertificateRevokedException.`getRevocationDate()`
Returns the date on which the certificate was revoked.
`abstract Date`
X509CRLEntry.`getRevocationDate()`
Gets the revocation date from this X509CRLEntry, the revocationDate.
`abstract Date`
X509CRL.`getThisUpdate()`
Gets the `thisUpdate` date from the CRL.
Methods in java.security.cert with parameters of type Date
Modifier and Type
Method
Description
`abstract void`
X509Certificate.`checkValidity(Date date)`
Checks that the given date is within the certificate's validity period.
`void`
X509CertSelector.`setCertificateValid(Date certValid)`
Sets the certificateValid criterion.
`void`
PKIXParameters.`setDate(Date date)`
Sets the time for which the validity of the certification path should be determined.
`void`
X509CRLSelector.`setDateAndTime(Date dateAndTime)`
Sets the dateAndTime criterion.
`void`
X509CertSelector.`setPrivateKeyValid(Date privateKeyValid)`
Sets the privateKeyValid criterion.
Constructors in java.security.cert with parameters of type Date
Modifier
Constructor
Description
``
`CertificateRevokedException(Date revocationDate, CRLReason reason, X500Principal authority, Map<String,Extension> extensions)`
Constructs a `CertificateRevokedException` with the specified revocation date, reason code, authority name, and map of extensions.

## Uses of Date in java.sql

Subclasses of Date in java.sql
Modifier and Type
Class
Description
`class`
`Date`
A thin wrapper around a millisecond value that allows JDBC to identify this as an SQL `DATE` value.
`class`
`Time`
A thin wrapper around the `java.util.Date` class that allows the JDBC API to identify this as an SQL `TIME` value.
`class`
`Timestamp`
A thin wrapper around `java.util.Date` that allows the JDBC API to identify this as an SQL `TIMESTAMP` value.
Methods in java.sql with parameters of type Date
Modifier and Type
Method
Description
`int`
Timestamp.`compareTo(Date o)`
Compares this `Timestamp` object to the given `Date` object.

## Uses of Date in java.text

Methods in java.text that return Date
Modifier and Type
Method
Description
`Date`
SimpleDateFormat.`get2DigitYearStart()`
Returns the beginning date of the 100-year period 2-digit years are interpreted as being within.
`Date`
DateFormat.`parse(String source)`
Parses text from the beginning of the given string to produce a date.
`abstract Date`
DateFormat.`parse(String source, ParsePosition pos)`
Parse a date/time string according to the given parse position.
`Date`
SimpleDateFormat.`parse(String text, ParsePosition pos)`
Parses text from a string to produce a `Date`.
Methods in java.text with parameters of type Date
Modifier and Type
Method
Description
`final String`
DateFormat.`format(Date date)`
Formats a `Date` into a date-time string.
`abstract StringBuffer`
DateFormat.`format(Date date, StringBuffer toAppendTo, FieldPosition fieldPosition)`
Formats a `Date` into a date-time string.
`StringBuffer`
SimpleDateFormat.`format(Date date, StringBuffer toAppendTo, FieldPosition pos)`
Formats the given `Date` into a date/time string and appends the result to the given `StringBuffer`.
`void`
SimpleDateFormat.`set2DigitYearStart(Date startDate)`
Sets the 100-year period 2-digit years will be interpreted as being in to begin on the date the user specifies.

## Uses of Date in java.util

Methods in java.util that return Date
Modifier and Type
Method
Description
`static Date`
Date.`from(Instant instant)`
Obtains an instance of `Date` from an `Instant` object.
`final Date`
GregorianCalendar.`getGregorianChange()`
Gets the Gregorian Calendar change date.
`final Date`
Calendar.`getTime()`
Returns a `Date` object representing this `Calendar`'s time value (millisecond offset from the Epoch").
Methods in java.util with parameters of type Date
Modifier and Type
Method
Description
`boolean`
Date.`after(Date when)`
Tests if this date is after the specified date.
`boolean`
Date.`before(Date when)`
Tests if this date is before the specified date.
`int`
Date.`compareTo(Date anotherDate)`
Compares two Dates for ordering.
`boolean`
SimpleTimeZone.`inDaylightTime(Date date)`
Queries if the given date is in daylight saving time.
`abstract boolean`
TimeZone.`inDaylightTime(Date date)`
Queries if the given `date` is in Daylight Saving Time in this time zone.
`void`
Timer.`schedule(TimerTask task, Date time)`
Schedules the specified task for execution at the specified time.
`void`
Timer.`schedule(TimerTask task, Date firstTime, long period)`
Schedules the specified task for repeated fixed-delay execution, beginning at the specified time.
`void`
Timer.`scheduleAtFixedRate(TimerTask task, Date firstTime, long period)`
Schedules the specified task for repeated fixed-rate execution, beginning at the specified time.
`void`
GregorianCalendar.`setGregorianChange(Date date)`
Sets the `GregorianCalendar` change date.
`Calendar.Builder`
Calendar.Builder.`setInstant(Date instant)`
Sets the instant parameter to the `instant` value given by a `Date`.
`final void`
Calendar.`setTime(Date date)`
Sets this Calendar's time with the given `Date`.

## Uses of Date in java.util.concurrent.locks

Methods in java.util.concurrent.locks with parameters of type Date
Modifier and Type
Method
Description
`final boolean`
AbstractQueuedLongSynchronizer.ConditionObject.`awaitUntil(Date deadline)`
Implements absolute timed condition wait.
`final boolean`
AbstractQueuedSynchronizer.ConditionObject.`awaitUntil(Date deadline)`
Implements absolute timed condition wait.
`boolean`
Condition.`awaitUntil(Date deadline)`
Causes the current thread to wait until it is signalled or interrupted, or the specified deadline elapses.

## Uses of Date in javax.management.openmbean

Fields in javax.management.openmbean with type parameters of type Date
Modifier and Type
Field
Description
`static final SimpleType<Date>`
SimpleType.`DATE`
The `SimpleType` instance describing values whose Java class name is `java.util.Date`.

## Uses of Date in javax.management.timer

Methods in javax.management.timer that return Date
Modifier and Type
Method
Description
`Date`
Timer.`getDate(Integer id)`
Gets a copy of the date associated to a timer notification.
`Date`
TimerMBean.`getDate(Integer id)`
Gets a copy of the date associated to a timer notification.
Methods in javax.management.timer with parameters of type Date
Modifier and Type
Method
Description
`Integer`
Timer.`addNotification(String type, String message, Object userData, Date date)`
Creates a new timer notification with the specified `type`, `message` and `userData` and inserts it into the list of notifications with a given date and a null period and number of occurrences.
`Integer`
Timer.`addNotification(String type, String message, Object userData, Date date, long period)`
Creates a new timer notification with the specified `type`, `message` and `userData` and inserts it into the list of notifications with a given date and period and a null number of occurrences.
`Integer`
Timer.`addNotification(String type, String message, Object userData, Date date, long period, long nbOccurences)`
Creates a new timer notification with the specified `type`, `message` and `userData` and inserts it into the list of notifications with a given date, period and number of occurrences.
`Integer`
Timer.`addNotification(String type, String message, Object userData, Date date, long period, long nbOccurences, boolean fixedRate)`
Creates a new timer notification with the specified `type`, `message` and `userData` and inserts it into the list of notifications with a given date, period and number of occurrences.
`Integer`
TimerMBean.`addNotification(String type, String message, Object userData, Date date)`
Creates a new timer notification with the specified `type`, `message` and `userData` and inserts it into the list of notifications with a given date and a null period and number of occurrences.
`Integer`
TimerMBean.`addNotification(String type, String message, Object userData, Date date, long period)`
Creates a new timer notification with the specified `type`, `message` and `userData` and inserts it into the list of notifications with a given date and period and a null number of occurrences.
`Integer`
TimerMBean.`addNotification(String type, String message, Object userData, Date date, long period, long nbOccurences)`
Creates a new timer notification with the specified `type`, `message` and `userData` and inserts it into the list of notifications with a given date, period and number of occurrences.
`Integer`
TimerMBean.`addNotification(String type, String message, Object userData, Date date, long period, long nbOccurences, boolean fixedRate)`
Creates a new timer notification with the specified `type`, `message` and `userData` and inserts it into the list of notifications with a given date, period and number of occurrences.

## Uses of Date in javax.print.attribute

Methods in javax.print.attribute that return Date
Modifier and Type
Method
Description
`Date`
DateTimeSyntax.`getValue()`
Returns this date-time attribute's `java.util.Date` value.
Constructors in javax.print.attribute with parameters of type Date
Modifier
Constructor
Description
`protected`
`DateTimeSyntax(Date value)`
Construct a new date-time attribute with the given `java.util.Date` value.

## Uses of Date in javax.print.attribute.standard

Constructors in javax.print.attribute.standard with parameters of type Date
Modifier
Constructor
Description
``
`DateTimeAtCompleted(Date dateTime)`
Construct a new date-time at completed attribute with the given `Date` value.
``
`DateTimeAtCreation(Date dateTime)`
Construct a new date-time at creation attribute with the given `Date` value.
``
`DateTimeAtProcessing(Date dateTime)`
Construct a new date-time at processing attribute with the given `Date` value.
``
`JobHoldUntil(Date dateTime)`
Construct a new job hold until date-time attribute with the given `Date` value.

## Uses of Date in javax.security.auth.kerberos

Methods in javax.security.auth.kerberos that return Date
Modifier and Type
Method
Description
`final Date`
KerberosTicket.`getAuthTime()`
Returns the time that the client was authenticated.
`final Date`
KerberosTicket.`getEndTime()`
Returns the expiration time for this ticket's validity period.
`final Date`
KerberosTicket.`getRenewTill()`
Returns the latest expiration time for this ticket, including all renewals.
`final Date`
KerberosTicket.`getStartTime()`
Returns the start time for this ticket's validity period.
Constructors in javax.security.auth.kerberos with parameters of type Date
Modifier
Constructor
Description
``
`KerberosTicket(byte[] asn1Encoding, KerberosPrincipal client, KerberosPrincipal server, byte[] sessionKey, int keyType, boolean[] flags, Date authTime, Date startTime, Date endTime, Date renewTill, InetAddress[] clientAddresses)`
Constructs a `KerberosTicket` using credentials information that a client either receives from a KDC or reads from a cache.

## Uses of Date in javax.security.cert

Methods in javax.security.cert that return Date
Modifier and Type
Method
Description
`abstract Date`
X509Certificate.`getNotAfter()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `notAfter` date from the validity period of the certificate.
`abstract Date`
X509Certificate.`getNotBefore()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `notBefore` date from the validity period of the certificate.
Methods in javax.security.cert with parameters of type Date
Modifier and Type
Method
Description
`abstract void`
X509Certificate.`checkValidity(Date date)`
Deprecated, for removal: This API element is subject to removal in a future version.
Checks that the specified date is within the certificate's validity period.

## Uses of Date in javax.swing

Methods in javax.swing that return Date
Modifier and Type
Method
Description
`Date`
SpinnerDateModel.`getDate()`
Returns the current element in this sequence of `Date`s.
Methods in javax.swing that return types with arguments of type Date
Modifier and Type
Method
Description
`Comparable<Date>`
SpinnerDateModel.`getEnd()`
Returns the last `Date` in the sequence.
`Comparable<Date>`
SpinnerDateModel.`getStart()`
Returns the first `Date` in the sequence.
Methods in javax.swing with parameters of type Date
Modifier and Type
Method
Description
`static <M, I> RowFilter<M,I>`
RowFilter.`dateFilter(RowFilter.ComparisonType type, Date date, int... indices)`
Returns a `RowFilter` that includes entries that have at least one `Date` value meeting the specified criteria.
Method parameters in javax.swing with type arguments of type Date
Modifier and Type
Method
Description
`void`
SpinnerDateModel.`setEnd(Comparable<Date> end)`
Changes the upper limit for `Date`s in this sequence.
`void`
SpinnerDateModel.`setStart(Comparable<Date> start)`
Changes the lower limit for Dates in this sequence.
Constructors in javax.swing with parameters of type Date
Modifier
Constructor
Description
``
`SpinnerDateModel(Date value, Comparable<Date> start, Comparable<Date> end, int calendarField)`
Creates a `SpinnerDateModel` that represents a sequence of dates between `start` and `end`.
Constructor parameters in javax.swing with type arguments of type Date
Modifier
Constructor
Description
``
`SpinnerDateModel(Date value, Comparable<Date> start, Comparable<Date> end, int calendarField)`
Creates a `SpinnerDateModel` that represents a sequence of dates between `start` and `end`.

## Uses of Date in javax.xml.datatype

Methods in javax.xml.datatype with parameters of type Date
Modifier and Type
Method
Description
`void`
Duration.`addTo(Date date)`
Adds this duration to a `Date` object.
`long`
Duration.`getTimeInMillis(Date startInstant)`
Returns the length of the duration in milli-seconds.